Visual Basic Customization

Reply
Active Member
richardv24
Posts: 9
Registered: ‎08-13-2012
Message 1 of 2 (83 Views)

Quick question on text

83 Views, 1 Replies
08-21-2012 02:55 PM

As you guys can probably tell I am completely new to autocad and vba.  i was wondering if there is a way I can simply write a text in vba and give it a position along with the text height and have it placed at a point "TextPoint" in autocad.

 

Thanks a bunch

Mentor
truss_85
Posts: 173
Registered: ‎02-13-2011
Message 2 of 2 (73 Views)

Re: Quick question on text

08-22-2012 12:36 AM in reply to: richardv24

Acad text will do that why do you need programming for this? I suggest to you take look help menu.

 

From help menu...

Sub Example_AddText()
    ' This example creates a text object in model space.

    Dim textObj As AcadText
    Dim textString As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double
    
    ' Define the text object
    textString = "Hello, World."
    insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
    height = 0.5
    
    ' Create the text object in model space
    Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height)
    ZoomAll
    
End Sub

 

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community